<template>
  <div class="app-container">
    <el-form :model="filters">
      <el-form-item label="搜索">
        <el-input
          v-model="filters.searchText"
          style="width: 240px"
          placeholder="请输入"
          clearable
          :prefix-icon="Search"
          @change="getTableData"
        />
      </el-form-item>
    </el-form>
    <PIMTable :column="columns" />
  </div>
</template>

<script setup>
import { usePaginationApi } from "@/hooks/usePaginationApi";
import { Search } from "@element-plus/icons-vue";

defineOptions({
  name: "设备台账",
});

const { filters, columns, getTableData } = usePaginationApi(
  () => {},
  {
    searchText: undefined,
  },
  [
    {
      label: "设备名称",
    },
  ]
);
</script>
